---
layout: page
title: arXMLiv 08.2018 - An HTML5 dataset for arXiv.org 
---
Part of the [arXMLiv](https://kwarc.info/systems/arXMLiv/) project at the [KWARC](https://kwarc.info/) research group

### Author
 - Deyan Ginev

### Current release
 - 08.2018

### Accessibility and License
The content of this Dataset is licensed to [SIGMathLing members](/member/) for research
and tool development purposes. 

Access is restricted to  [SIGMathLing members](/member/) under the
[SIGMathLing Non-Disclosure-Agreement](/nda/) as for most [arXiv](http://arxiv.org)
articles, the right of distribution was only given (or assumed) to arXiv itself.

### Contents
  - 1,232,186 HTML5 documents
  - Three separate archive bundles separated by LaTeXML conversion severity
  - derivative **word embeddings** and a **token model** are available separately [here](/resources/arxmliv-embeddings-082018/)

  | subset ID  | number of documents | size archived | size unpacked |
  | :---       | ---:                | ---:          | ---:          |
  | no\_problem| 137,864             | 6.9 GB        | 53 GB         |
  | warning    | 705,095             | 104 GB        | 896 GB        | 
  | error      | 389,227             | 58 GB         | 506 GB        |

  | subset file name                 | MD5                                 |
  | :---                             | :---                                |
  | `arXMLiv_08_2018_no_problem.zip` | `0e19fd0a68f18f6bb05b3d7d1127a072`  |
  | `arXMLiv_08_2018_warning.zip`    | `8ea32275e9cf197f8eb592d539206a6f`  | 
  | `arXMLiv_08_2018_error.zip`      | `5880d4fac417f5fdad6e8cec0e3bfe2a`  |

**Note:** the archives preserve a leading path `./data/datasets/dataset-arXMLiv-08-2018`, which can be safely ignored, and is an artefact of the current release that will be avoided in the future.

### Description

This is a second public release of the arXMLiv dataset generated by the [KWARC](https://kwarc.info/) research group. It contains 1,232,186 HTML5 scientific documents from the arXiv.org preprint archive, converted from their respective TeX sources. A 13% increase in available articles over the 08.2017 release.

The dataset is segmented in 3 different subsets, each corresponding to a severity level of the LaTeXML software responsible for the HTML5 conversion. 
 - The `no_problem` set had no obvious challenges in conversion and is the safest, most reliable subset
 - The `warning` set covers a variety of minor issues, from mathematical expressions unparseable by the LaTeXML grammar, to missing LaTeX packages with no apparent use in the document. The vast majority of the documents should both have a good-looking rendering, as well as data consistency for e.g. NLP tasks.
 - The `error` set covers all conversions which successfully generated an HTML5 document, but had major issues during the conversion. Examples would range from unknown macros (due to limited LaTeX coverage), unexpected latex syntax, math/text mode mismatches, as well as real LaTeX errors from the original sources. This subset should be used with extra caution, though should still preserve overall data consistency and could be safely used for e.g. generating word embeddings.

 This version of the dataset has had minimal manual quality control, and we offer no additional warranty beyond the latexml severity reported.

We welcome community feedback on all of: data quality, representation issues, need for auxiliary resources (e.g. figures, token models), as well as organization and archival best practices. The conversion, build system, and data redistribution efforts are all ongoing projects at the [KWARC research group](http://kwarc.info).

### Citing this Resource

The dataset should be referenced in all academic publications that present results
obtained with its help. The reference should contain the identifier `arXMLiv:08.2018` in
the title, the author, year, a reference to SIGMathLing, and the URL of the resource
description page. For convenience, we supply some records for bibTeX and EndNote below. To
cite a particular part of the dataset use the subset identifiers in the ciation; 
e.g. `\cite[no_problem subset]{arXMLiv:08.2018}` or just explain it in the text using the
concrete identifier.  

#### pure bibTeX
```
@MISC{SML:arXMLiv:08.2018,
  author = {Deyan Ginev},
  title = {arXMLiv:08.2018 dataset, an HTML5 conversion of arXiv.org},
  howpublished = {hosted at \url{https://sigmathling.kwarc.info/resources/arxmliv/}},
  note = {SIGMathLing -- Special Interest Group on Math Linguistics},
  year = 2018}
```

#### bibTeX for the bibLaTeX package (preferred)
```
@online{SML:arXMLiv:08.2018,
  author = {Deyan Ginev},
  title = {arXMLiv:08.2018 dataset, an HTML5 conversion of arXiv.org},
  url = {https://sigmathling.kwarc.info/resources/arxmliv/},
  note = {SIGMathLing -- Special Interest Group on Math Linguistics},
  year = 2018}
```

#### EndNote
```
%0 Generic
%T arXMLiv:08.2018 dataset, an HTML5 conversion of arXiv.org
%A Ginev, Deyan
%D 2018
%I hosted at https://sigmathling.kwarc.info/resources/arxmliv/
%F SML:arXMLiv:08.2018b
%O SIGMathLing – Special Interest Group on Math Linguistics
```

### Download
  [Download link](https://gl.kwarc.info/SIGMathLing/dataset-arXMLiv-08-2018)
  ([SIGMathLing members](/member/) only)
 
### Generated via
 - [LaTeXML 0.8.3](https://github.com/brucemiller/LaTeXML/releases/tag/v0.8.3), 
 - [CorTeX 0.3.1](https://github.com/dginev/CorTeX/releases/tag/0.3.1)
